<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Offerwall extends Member_Controller
{
	public function __construct()
	{
		parent::__construct();

		if ($this->data['settings']['offerwall_status'] != 'on') {
			return redirect(site_url('dashboard'));
		}
		if ($this->data['user']['level'] < $this->data['settings']['offerwall_min_level']) {
			return redirect(site_url('dashboard'));
		}
	}
	public function index()
	{
		redirect(site_url('dashboard'));
	}
	public function cpx()
	{
		if ($this->data['settings']['cpx_status'] != 'on') {
			return redirect(site_url('dashboard'));
		}
		
		echo '<div style="max-width: 950px; margin: auto" id="fullscreen"></div>
		<script>
const script1 = {
    div_id: "fullscreen",
    theme_style: 1,
    order_by: 2,
    limit_surveys: 12
};
const config = {
	general_config: {
		app_id: ' . $this->data['settings']['cpx_app_id'] . ',
		ext_user_id: "' . $this->data['user']['id'] . '", // string
		 email: "' . $this->data['user']['email'] . '", // string
		 username: "' . $this->data['user']['username'] . '", // string
	   secure_hash: "' . md5($this->data['user']['id'] . '-' . $this->data['settings']['cpx_hash']) . '",
	},
    style_config: {
        text_color: "#2b2b2b",
        survey_box: {
            topbar_background_color: "#ffaf20",
            box_background_color: "white",
            rounded_borders: true,
            stars_filled: "black",
        },
    },
    script_config: [script1],
    debug: false,
     useIFrame: true,
     iFramePosition: 1,
    functions: {
        no_surveys_available: () =>
        {
            console.log("no surveys available function here");
        },
        count_new_surveys: (countsurveys) =>
        {
            console.log("count surveys function here, count:", countsurveys);
        },
        get_all_surveys: (surveys) =>
        {
            console.log("get all surveys function here, surveys: ", surveys);
        },
        get_transaction: (transactions) =>
        {
            console.log("transaction function here, transaction: ", transactions);
        }
  }
  };
window.config = config;
</script>
		<script type="text/javascript" src="https://cdn.cpx-research.com/assets/js/script_tag_v2.0.js"></script>';
		
		$this->data['wait'] = $this->data['settings']['cpx_hold'];
	}
	
	public function wannads()
{
    if ($this->data['settings']['offertoro_status'] != 'on') {
        $wannads = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe style="width:100%; height:800px; border:0; padding:0; margin:0;" scrolling="yes" "frameborder="0" src="https://wall.wannads.com/wall?apiKey=' . $this->data['settings']['wannads_api_key'] . '&userId=' . $this->data['user']['id'] . '"></iframe>';
    
    // Avoid further rendering or output
    exit();
    $this->render('offerwall', $this->data);
}



         
        public function adgem()
{
    if ($this->data['settings']['adgem_status'] != 'on') {
        $adgem = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://porix.org/app/iframe/10131/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    exit();
}

public function notik()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://notik.me/coins?api_key=ByjZpAooYcpJOKEZqhIgiqh25s8zGNcz&pub_id=yqAplG&app_id=SC5jnIQmp0&user_id=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

public function zadfly()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://zadfly.com/offer/vZdEA3VnwZq6Gm7zkfuH/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}
public function ovnix()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://offerwall.ovnix.io?pk=30ED863F7B4F038B12BE&sub1=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

public function grock()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    $userId = $this->data['user']['id'];

    echo '<iframe src="https://websdk.growdeck.io/?app-id=104&secret-key=7201b371daa6e4f1d0f2&external-id=' 
        . $userId . 
        '&device-id=android" frameborder="0" width="100%" height="100%"></iframe>';
}

public function playtime()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://web.playtimeads.com/index.php?app_id=2bd5704face982fe&user_id=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}
public function revtoo()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://revtoo.com/offerwall/w11smmdim9hhf7y43zf87iqpgaonjb/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

public function pixylabs()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://offerwall.pixylabs.co/157?uid=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output

}
public function huppoo()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://dashboard.adporthub.com/offer/cIsldivFlazE7lLIpxD3/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}
public function offeryas()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://offery.io/offerwall/8a1g9of0q5bbne7xphbsry9ec2t9c9//' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

public function upwall()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://offerwall.upwall.net/?app_id=29ea-f28e-a58b-4edc&userid=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

public function adjetapp()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://adjet.net/wall/mEgTNs5HvQRjRa4wPCxx/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}


public function avixolabs()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://avixolabs.com/offerwall/E3S/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

public function gemiad()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://gemiwall.com/6a7a3fb3d7e247e9a4f56bb5/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

public function farly()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://pluscash.live/farlyappofferwall.php?api-key=9tUsVOXHSvUi4DZAwNsQ&rate=600&username=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}
public function adtowallda()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://adtowall.com/6677/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}
public function flextoo()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://flexwall.net/iframe?app_id=125&user_id=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

public function klinck()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://offerwall.klinkfinance.com/wall?pub_id=45305611-744f-48a2-baf3-84a5a3781f90&user_id=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}
public function adlyce()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://www.adlychee.com/offers/?appId=Etw7wvbf4rf6b7&uid=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}
public function taskwall()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://wall.taskwall.io/?app_id=d4105720ef72a86c288940ee73fb78ab&&userid=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

 public function addd()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://Adspiritmedia.com/app/iframe/fearcode/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}
 public function adhopes()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://offerwall.adhopemedia.com/10165/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}
public function typlayedd()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://tplayad.com/offer/Pu1Rg0/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

  public function clickwall()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://clickwall.net/app/iframe/10339/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

public function checkIpRisk()
    {
        $userIP = $this->input->ip_address(); // Get the user's IP address from server
        
        $apiKey = 'QwgSqXTwGzY9tSr0ZGYpa8fXdnYogQ6N'; // Your IPQualityScore API key
        $url = "https://ipqualityscore.com/api/json/ip/{$apiKey}/{$userIP}";

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        $response = curl_exec($ch);
        
        if (curl_errno($ch)) {
            $error_msg = curl_error($ch);
            curl_close($ch);
            echo json_encode(['error' => 'Failed to fetch IP risk data: ' . $error_msg]);
            return;
        }

        curl_close($ch);
        $result = json_decode($response, true);

        if (isset($result['fraud_score']) && $result['fraud_score'] > 27) {
            // Return a response indicating the offer wall should be hidden
            echo json_encode(['hide_offers' => true, 'fraud_score' => $result['fraud_score']]);
        } else {
            // Return a response indicating the offer wall can be shown
            echo json_encode(['hide_offers' => false, 'fraud_score' => $result['fraud_score']]);
        }
    }


  public function sushi()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://offerwall.sushiads.com/wall?apiKey=fearcode&userId=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

   public function adgatereach()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://adgatreach.com/offerwall/r1dp5he8q7pkm1jtge4eaasv8toxcp/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}
 public function earnetiz()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://wallzone.earnetize.com/?app_id=98f5d3f&userid=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}
 public function adfleet()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://adfleetmedia.com/offer/fearcode/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}



public function adswed()
{

    // Output only the iframe tag
    echo '<iframe src="https://adswedmedia.com/offer/Oc7Za7/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    exit();
}
public function pubscale()
{

    // Output only the iframe tag
    echo '<iframe src="https://wow.pubscale.com?app_id=23966369&user_id=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    exit();
}
public function pubscalemax()
{

    // Output only the iframe tag
    echo '<iframe src="https://wow.pubscale.com?app_id=86119422&user_id=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    exit();
}

public function bitlabs()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $adgem = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://web.bitlabs.ai/?uid=' . $this->data['user']['id'] . '&token=3e2b26c1-2bfe-4364-864a-43550e5cdd39" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    exit();
}

public function admantium()
{
    if ($this->data['settings']['adgem_status'] != 'on') {
        $adgem = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://wall.admantium.net/wall?apiKey=65a683af6e24d722933153&userId=' . $this->data['user']['id'] . '" style="width:100%; height:100%; border:0; padding:0; margin:0;" scrolling="yes" "frameborder="0"></iframe>';
    
    // Avoid further rendering or output
    exit();
}


 public function adcend()
{
    if ($this->data['settings']['adgem_status'] != 'on') {
        $adgem = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://asmwall.com/adwall/publisher/116887/profile/20627?subid1=' . $this->data['user']['id'] . '" style="width:100%; height:100%; border:0; padding:0; margin:0;" scrolling="yes" "frameborder="0"></iframe>';
    
    // Avoid further rendering or output
    exit();
}
public function adoffers()
{
    if ($this->data['settings']['adgem_status'] != 'on') {
        $adgem = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://adoffers.co/offerwall/YPJiF9/' . $this->data['user']['id'] . '" style="width:100%; height:100%; border:0; padding:0; margin:0;" scrolling="yes" "frameborder="0"></iframe>';
    
    // Avoid further rendering or output
    exit();
}

  public function vortexwall()
{
    if ($this->data['settings']['notik_status'] != 'on') {
        $notik = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://vortexwall.com/ow/685b3a7838b7e68f2bf8cc14/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%"></iframe>';
    
    // Avoid further rendering or output
    
}

  public function lootably()
{
    if ($this->data['settings']['adgem_status'] != 'on') {
        $adgem = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://wall.lootably.com/?placementID=cmsnnxr7e0ea0010o1fqshckw&sid=' . $this->data['user']['id'] . '" style="width:100%; height:100%; border:0; padding:0; margin:0;" scrolling="yes" "frameborder="0"></iframe>';
    
    // Avoid further rendering or output
    exit();
}


  public function prize()
{
    if ($this->data['settings']['adgem_status'] != 'on') {
        $adgem = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://prizesloot.net/app/?app_id=37&user_id=' . $this->data['user']['id'] . '" style="width:100%; height:100%; border:0; padding:0; margin:0;" scrolling="yes" "frameborder="0"></iframe>';
    
    // Avoid further rendering or output
    exit();
}

public function offertoro()
{
    if ($this->data['settings']['offertoro_status'] != 'on') {
        $offertoro = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://www.offertoro.com/ifr/show/' . $this->data['settings']['offertoro_pub_id'] . '/' . $this->data['user']['id'] . '/' . $this->data['settings']['offertoro_app_id'] . '" frameborder="0" width="100%" height="100%" ></iframe> ';
    
    // Avoid further rendering or output
    exit();
}

public function ewall()
{
    if ($this->data['settings']['offertoro_status'] != 'on') {
        $offertoro = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe style="width:100%;height:100%;" scrolling="yes" frameborder="0" src="https://ewall.biz/offerwall/wowji9kkxhk3o8rxzh7ecvy6t6onz0/[USER_ID]"></iframe>';
    
    // Avoid further rendering or output
    exit();
}

	
	public function ayetstudios()
	{
		if ($this->data['settings']['ayetstudios_status'] != 'on') {
			return redirect(site_url('dashboard'));
		}

		$this->data['page'] = 'AyetStudios Offerwall';
		$this->data['iframe'] = '<iframe src="https://www.ayetstudios.com/offers/web_offerwall/' . $this->data['settings']['ayetstudios_id'] . '?external_identifier=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%" ></iframe> ';
		$this->data['wait'] = $this->data['settings']['ayetstudios_hold'];
		$this->render('offerwall', $this->data);
	}
	public function offerdaddy()
	{
		if ($this->data['settings']['offerdaddy_status'] != 'on') {
			return redirect(site_url('dashboard'));
		}
		// Output only the iframe tag
    echo '<iframe src="https://www.offerdaddy.com/wall/' . $this->data['settings']['offerdaddy_app_token'] . '/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%" ></iframe>';
    
    // Avoid further rendering or output
    exit();
	}
	public function revlum()
	{
		if ($this->data['settings']['offerdaddy_status'] != 'on') {
			return redirect(site_url('dashboard'));
		}
		// Output only the iframe tag
    echo '<iframe src="https://revlum.com/offerwall/4gzax76iuewt0x1ulz735bjwqyxlun/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%" ></iframe>';
    
    // Avoid further rendering or output
    exit();
	}
	public function personaly()
	{
		if ($this->data['settings']['personaly_status'] != 'on') {
			return redirect(site_url('dashboard'));
		}

		$this->data['page'] = 'Persona.ly Offerwall';
		$this->data['iframe'] = '<iframe src="https://persona.ly/widget/?appid=' . $this->data['settings']['personaly_id'] . '&userid=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="2400" ></iframe> ';
		$this->data['wait'] = $this->data['settings']['personaly_hold'];
		$this->render('offerwall', $this->data);
	}
	public function pollfish()
	{
		$this->data['page'] = 'Pollfish Offerwall';
		$userId = $this->data['user']['id'];
		$this->data['iframe'] = '<script>
		var pollfishConfig = {
			api_key: "' . $this->data['settings']['pollfish_api'] . '",
			user_id: "' . $userId . '",
			indicator_position: "BOTTOM_RIGHT",
			debug: true,
			ready: pollfishReady,
		  };
		  function pollfishReady(){
			Pollfish.showFullSurvey();
		  }
		  </script><script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
		  <script src="https://storage.googleapis.com/pollfish_production/sdk/webplugin/pollfish.min.js"></script>';
		$this->data['wait'] = $this->data['settings']['pollfish_hold'];
		$this->render('offerwall', $this->data);
	}

	public function bitswall()
	{
		if ($this->data['settings']['bitswall_status'] != 'on') {
			return redirect(site_url('dashboard'));
		}

		$this->data['page'] = 'Bitswall Offerwall';
		$this->data['iframe'] = '<iframe style="width:100%;height:800px;border:0;padding:0;margin:0;" scrolling="yes" frameborder="0" src="https://bitswall.net/offerwall/' . $this->data['settings']['bitswall_api'] . '/' . $this->data['user']['id'] . '"></iframe>';
		$this->data['wait'] = $this->data['settings']['bitswall_hold'];
		$this->render('offerwall', $this->data);
	}
	public function monlix()
    {
    if ($this->data['settings']['monlix_status'] != 'on') {
        $adgem = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe src="https://offers.monlix.com/?appid=' . $this->data['settings']['monlix_api'] . '&userid=4bef3deee6f48dd84bc565547483418c' . $this->data['user']['id'] . '" width="100%" height="100%" />';
    
    // Avoid further rendering or output
    exit();
    }
    public function adbreak()
    {
    if ($this->data['settings']['monlix_status'] != 'on') {
        $timewall = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe title="AdbreakMedia" src="https://wall.adbreakmedia.com/fearcode/' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%" scrolling="auto" />';
    
    
    // Avoid further rendering or output
    exit();
    }
    
     public function adminmoo()
    {
    if ($this->data['settings']['monlix_status'] != 'on') {
        $timewall = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe title="Admantum" src="https://www.admantum.com/offers?appid=34579&uid=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%" scrolling="auto" />';
    
    
    // Avoid further rendering or output
    exit();
    }
    public function admantums()
    {
    if ($this->data['settings']['monlix_status'] != 'on') {
        $timewall = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe title="admantums" src="https://www.admantum.com/offers?appid=34579&uid=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%" scrolling="auto" />';
    
    
    // Avoid further rendering or output
    exit();
    }
    
    public function timewall()
    {
    if ($this->data['settings']['monlix_status'] != 'on') {
        $timewall = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe title="TimeWall" src="https://timewall.io/users/login?oid=3c84199f4f694e6d&uid=' . '&userid=' . $this->data['user']['id'] . '" frameborder="0" width="100%" height="100%" scrolling="auto" />';
    
    
    // Avoid further rendering or output
    exit();
    }
    
    public function api()
    {
    if ($this->data['settings']['monlix_status'] != 'on') {
        $timewall = ' class="hidden"';
    }

    // Output only the iframe tag
    echo '<iframe title="https://cp.admantium.net/api/offerwall/offers?apiKey=65a683af6e24d722933153&apiSecret=5f8872e36a&userId=' . '&userid=' . $this->data['user']['id'] . '&ip=' . $this->data['user']['ip'] . '" frameborder="0" width="100%" height="100%" scrolling="auto" />';
    
    
    // Avoid further rendering or output
    exit();
    }
}
